Skip to content
vviinn DocsDocs Beta

Set Product

PUT
/product/{product-id}
curl --request PUT \
--url https://api.vviinn.com/product/120857 \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "data": { "title": "product title", "description": "product description", "link": "https://www.example.com/writing/google-pens", "mobile_link": "https://www.m.example.com/writing/fiji-pens", "availability": "in_stock", "price": 18.5, "sale_price": 25.5, "google_product_category": "Apparel & Accessories > Clothing > Dresses", "product_type": "Home > Women > Dresses > Maxi Dresses, Home > Women > Dresses > Party Dresses", "brand": "Google", "gtin": "3234567890126, 123456788787, 98746543218", "mpn": "GO12345OOGLE", "condition": "new", "adult": true, "multipack": 6, "is_bundle": false, "energy_efficiency_class": "A+++", "min_energy_efficiency_class": "A+++", "max_energy_efficiency_class": "A+++", "age_group": "newborn", "color": "Orange Mango Explosion", "gender": "male", "material": "Leather", "pattern": "Striped", "size": "XL", "size_type": "regular", "size_system": "AU", "item_group_id": "AB12345", "custom_label_0": "summer", "custom_label_1": "summer", "custom_label_2": "summer", "custom_label_3": "summer", "custom_label_4": "summer", "promotion_id": "tbby123_us", "product_detail": "General:Product Type:Digital player,General:Digital Player Type:Flash based,Display:Resolution:432 x 240,Display:Diagonal Size:\"2.5\"", "product_highlight": "\"Supports thousands of apps, including Netflix, YouTube, HBO Now, Spotify, Showtime, Pandora, Google Play Movies\", \"1080p maximum display resolution\"", "product_length": "30 cm", "product_width": "30 cm", "product_height": "30 cm", "product_weight": "10 kg" }, "images": [ { "url": "example" } ] }'

Creates a new product or updates an existing one

product-id
required
string
Example
120857

Product data object

Media typeapplication/json
object
data
object
title

More information

string
nullable
Example
product title
description

More information

string
nullable
Example
product description
link

More information

string
nullable
Example
https://www.example.com/writing/google-pens
mobile_link

More information

string
nullable
Example
https://www.m.example.com/writing/fiji-pens
availability

More information

string
nullable
Allowed values: in_stock out_of_stock preorder backorder
Example
in_stock
price

More information

number
nullable
Example
18.5
sale_price

More information

number
nullable
Example
25.5
google_product_category

Only category paths are supported.

More information

string
nullable <= 500 characters
Example
Apparel & Accessories > Clothing > Dresses
product_type

More information

string
nullable <= 3758 characters
Example
Home > Women > Dresses > Maxi Dresses, Home > Women > Dresses > Party Dresses
brand

More information

string
nullable <= 70 characters
Example
Google
gtin

More information

string
nullable <= 158 characters
Example
3234567890126, 123456788787, 98746543218
mpn

More information

string
nullable <= 70 characters
Example
GO12345OOGLE
condition

More information

string
nullable
Allowed values: new refurbished used
Example
new
adult

More information

boolean
nullable
Example
true
multipack

More information

number
nullable
Example
6
is_bundle

More information

boolean
nullable
Example
false
energy_efficiency_class

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
Example
A+
min_energy_efficiency_class

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
Example
A+
max_energy_efficiency_class

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
Example
A+
age_group

More information

string
nullable
Allowed values: newborn infant toddler kids adult
Example
infant
color

More information

string
nullable <= 100 characters
Example
Orange Mango Explosion
gender

More information

string
nullable
Allowed values: male female unisex
Example
female
material

More information

string
nullable <= 200 characters
Example
Leather
pattern

More information

string
nullable <= 100 characters
Example
Striped
size

More information

string
nullable <= 100 characters
Example
XL
size_type

More information

string
nullable
Allowed values: regular petite tall plus big maternity
Example
petite
size_system

More information

string
nullable
Allowed values: AU BR CN DE EU FR IT JP MEX UK US
Example
UK
item_group_id

More information

string
nullable <= 50 characters
Example
AB12345
custom_label_0

More information

string
nullable
Example
summer
custom_label_1

More information

string
nullable
Example
summer
custom_label_2

More information

string
nullable
Example
summer
custom_label_3

More information

string
nullable
Example
summer
custom_label_4

More information

string
nullable
Example
summer
promotion_id

More information

string
nullable <= 50 characters
Example
tbby123_us
product_detail

More information

string
nullable
Example
General:Product Type:Digital player,General:Digital Player Type:Flash based,Display:Resolution:432 x 240,Display:Diagonal Size:"2.5"
product_highlight

More information

string
nullable <= 1518 characters
Example
"Supports thousands of apps, including Netflix, YouTube, HBO Now, Spotify, Showtime, Pandora, Google Play Movies", "1080p maximum display resolution"
product_length

More information

string
nullable
Example
30 cm
product_width

More information

string
nullable
Example
30 cm
product_height

More information

string
nullable
Example
30 cm
product_weight

More information

string
nullable
Example
10 kg
images
Array<object>
Product images object
object
url
string

Success

Media typeapplication/json
Product data object
object
message
required
string
data
required
object
site-id
integer
product-id
string
data
object
title

More information

string
nullable
description

More information

string
nullable
link

More information

string
nullable
mobile_link

More information

string
nullable
availability

More information

string
nullable
Allowed values: in_stock out_of_stock preorder backorder
price

More information

number
nullable
sale_price

More information

number
nullable
google_product_category

Only category paths are supported.

More information

string
nullable <= 500 characters
product_type

More information

string
nullable <= 3758 characters
brand

More information

string
nullable <= 70 characters
gtin

More information

string
nullable <= 158 characters
mpn

More information

string
nullable <= 70 characters
condition

More information

string
nullable
Allowed values: new refurbished used
adult

More information

boolean
nullable
multipack

More information

number
nullable
is_bundle

More information

boolean
nullable
energy_efficiency_class

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
min_energy_efficiency_class

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
max_energy_efficiency_class

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
age_group

More information

string
nullable
Allowed values: newborn infant toddler kids adult
color

More information

string
nullable <= 100 characters
gender

More information

string
nullable
Allowed values: male female unisex
material

More information

string
nullable <= 200 characters
pattern

More information

string
nullable <= 100 characters
size

More information

string
nullable <= 100 characters
size_type

More information

string
nullable
Allowed values: regular petite tall plus big maternity
size_system

More information

string
nullable
Allowed values: AU BR CN DE EU FR IT JP MEX UK US
item_group_id

More information

string
nullable <= 50 characters
custom_label_0

More information

string
nullable
custom_label_1

More information

string
nullable
custom_label_2

More information

string
nullable
custom_label_3

More information

string
nullable
custom_label_4

More information

string
nullable
promotion_id

More information

string
nullable <= 50 characters
product_detail

More information

string
nullable
product_highlight

More information

string
nullable <= 1518 characters
product_length

More information

string
nullable
product_width

More information

string
nullable
product_height

More information

string
nullable
product_weight

More information

string
nullable
Examplegenerated
example

Could not save or publish the product

Media typeapplication/json
Product data object
object
message
required
string
data
required
object
site-id
integer
product-id
string
data
object
title

More information

string
nullable
description

More information

string
nullable
link

More information

string
nullable
mobile_link

More information

string
nullable
availability

More information

string
nullable
Allowed values: in_stock out_of_stock preorder backorder
price

More information

number
nullable
sale_price

More information

number
nullable
google_product_category

Only category paths are supported.

More information

string
nullable <= 500 characters
product_type

More information

string
nullable <= 3758 characters
brand

More information

string
nullable <= 70 characters
gtin

More information

string
nullable <= 158 characters
mpn

More information

string
nullable <= 70 characters
condition

More information

string
nullable
Allowed values: new refurbished used
adult

More information

boolean
nullable
multipack

More information

number
nullable
is_bundle

More information

boolean
nullable
energy_efficiency_class

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
min_energy_efficiency_class

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
max_energy_efficiency_class

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
age_group

More information

string
nullable
Allowed values: newborn infant toddler kids adult
color

More information

string
nullable <= 100 characters
gender

More information

string
nullable
Allowed values: male female unisex
material

More information

string
nullable <= 200 characters
pattern

More information

string
nullable <= 100 characters
size

More information

string
nullable <= 100 characters
size_type

More information

string
nullable
Allowed values: regular petite tall plus big maternity
size_system

More information

string
nullable
Allowed values: AU BR CN DE EU FR IT JP MEX UK US
item_group_id

More information

string
nullable <= 50 characters
custom_label_0

More information

string
nullable
custom_label_1

More information

string
nullable
custom_label_2

More information

string
nullable
custom_label_3

More information

string
nullable
custom_label_4

More information

string
nullable
promotion_id

More information

string
nullable <= 50 characters
product_detail

More information

string
nullable
product_highlight

More information

string
nullable <= 1518 characters
product_length

More information

string
nullable
product_width

More information

string
nullable
product_height

More information

string
nullable
product_weight

More information

string
nullable
debug
string
Examplegenerated
example

Authentication Error

Media typeapplication/json
Example
{
"message": "Authentication Error"
}

Authorization Error

Media typeapplication/json
Example
{
"message": "Authorization Error"
}